Correlated Markets

Find correlated markets by semantic similarity

POST
/correlated-markets/query

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Request Body

application/json
  1. body
text*string
limit?number
includeResolved?boolean
direction?string
Value in"more_likely""less_likely"
balanced?boolean

Response Body

200

application/json
  1. response
results*array<>
Example Request
curl -X POST 'https://api.t.sufwankhalid.com/correlated-markets/query' \  -H 'Content-Type: application/json' \  -d '{  "text": "string"}'
Example Response
{  "results": [    {      "venueMarketId": "string",      "marketQuestion": "string",      "marketStatus": "unopened",      "marketStartDate": "string",      "marketEndDate": "string",      "eventTitle": "string",      "eventStatus": "unopened",      "eventStartDate": "string",      "eventEndDate": "string",      "score": 0,      "matchedSignal": {        "id": "string",        "text": "string",        "side": "yes",        "direction": "more_likely",        "domain": "string"      },      "matchSource": "signal",      "venue": "string"    }  ]}